java.security.interfaces

## Interface ECPrivateKey

- All Superinterfaces:
    ECKey, Key, PrivateKey, Serializable

      public interface ECPrivateKey
      extends PrivateKey, ECKey

  The interface to an elliptic curve (EC) private key.
  Since:
    1.5
  See Also:
    `PrivateKey`, `ECKey`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `serialVersionUID` The class fingerprint that is set to indicate serialization compatibility.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BigInteger` | `getS()` Returns the private value S.

    - ### Methods inherited from interface java.security.Key

      `getAlgorithm, getEncoded, getFormat`

    - ### Methods inherited from interface java.security.interfaces.ECKey

      `getParams`

- - ### Field Detail

    - #### serialVersionUID

          static final long serialVersionUID

      The class fingerprint that is set to indicate serialization compatibility.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getS

          BigInteger getS()

      Returns the private value S.
      Returns:
        the private value S.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.